# Interface TwinfinityMeshExtensions

Twinfinity extensions for Mesh.

interface TwinfinityMeshExtensions {
ifc?: TwinfinityIfcMeshExtension;
clearCachedVertexData(): void;
}

##### Index

### Properties

ifc?

### Methods

clearCachedVertexData

## Properties

### `Optional` ifc

ifc?: TwinfinityIfcMeshExtension

If set then this mesh contains IFC data.

## Methods

### clearCachedVertexData

- clearCachedVertexData(): void

  Clear cached vertex data of this mesh. Basically this removes the cached vertex data from RAM (but not from GPU). This has the same effects as calling Scene.clearCachedVertexData (except that it only affects this particular Mesh).

  #### Returns void